Bug 1630088 - zookeeper: Remove (sub)packages from Fedora 30+: python2-zookeeper
Summary: zookeeper: Remove (sub)packages from Fedora 30+: python2-zookeeper
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: zookeeper
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-17 22:45 UTC by Miro Hrončok
Modified: 2018-11-29 11:32 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-29 11:32:56 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-17 22:45:19 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of zookeeper were marked for removal:

 * python2-zookeeper

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Christopher Tubbs 2018-09-19 22:14:11 UTC
I'm working on making sure we have a python3-zookeeper replacement sub-package.

Comment 2 Miro Hrončok 2018-10-28 21:46:27 UTC
Hi. What's the status here? Can we help somehow?

Comment 3 Christopher Tubbs 2018-11-27 23:21:04 UTC
(In reply to Miro Hrončok from comment #2)
> Hi. What's the status here? Can we help somehow?

Hi. I got busy with other stuff and couldn't finish in a reasonable time. I was also trying to modernize with a newer ZooKeeper version to help make the transition easier (3.4.10), but didn't have time to finish.

If you wish to help, a pull request against the repo to migrate to python3 would be wonderful.

Comment 4 Petr Viktorin 2018-11-28 11:27:15 UTC
The package FTBS for me due to C compilation warnings. I was able to get around that locally by disabling -Werror.

PR to switch to Python 3: https://src.fedoraproject.org/rpms/zookeeper/pull-request/2

Comment 5 Miro Hrončok 2018-11-29 11:32:56 UTC
Thank You, Petr!

https://koji.fedoraproject.org/koji/taskinfo?taskID=31174887


Note You need to log in before you can comment on or make changes to this bug.